#include "prefix.h"
#include "zero.h"

NTSTATUS KDevice::Create(PIRP Irp)
{
 printk("KDevice::Create()\n");

 PIO_STACK_LOCATION IrpSp;
 IrpSp=IoGetCurrentIrpStackLocation(Irp);
 PFILE_OBJECT  FileObject;
 FileObject = IrpSp->FileObject;
 if (FileObject->Flags & FO_SYNCHRONOUS_IO) {
  FileObject->PrivateCacheMap = (PVOID) 1;
 }
 Irp->IoStatus.Status = STATUS_SUCCESS;
 Irp->IoStatus.Information = 0;
 IoCompleteRequest(Irp, IO_NO_INCREMENT);
 return STATUS_SUCCESS;
}
